Skip to content
Docs

Update a check

PATCHhttps://api.vercel.com/v1/deployments/{deploymentId}/checks/{checkId}
Update an existing check. This endpoint must be called with an OAuth2 or it will produce a 400 error.

This endpoint is deprecated

https://api.vercel.com/v1/deployments/{deploymentId}/checks/{checkId}
const response = await fetch('https://api.vercel.com/v1/deployments/deploymentId/checks/checkId?teamId=string&slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "Performance Check",
"path": "/",
"status": "running",
"conclusion": "canceled",
"detailsUrl": "https://example.com/check/run/1234abc",
"output": {
"metrics": {
"FCP": {
"value": "1200",
"previousValue": "900",
"source": "web-vitals"
},
"LCP": {
"value": "1200",
"previousValue": "1000",
"source": "web-vitals"
},
"CLS": {
"value": "4",
"previousValue": "2",
"source": "web-vitals"
},
"TBT": {
"value": "3000",
"previousValue": "3500",
"source": "web-vitals"
},
"virtualExperienceScore": {
"value": "30",
"previousValue": "35",
"source": "web-vitals"
}
}
},
"externalId": "1234abc"
}),
});
const data = await response.json();
console.log(data);
Response
{
"id": "icfg_1234567890",
"name": "Example Name",
"createdAt": "123",
"updatedAt": "123",
"deploymentId": "example_id",
"status": "completed",
"conclusion": "canceled",
"externalId": "example_id",
"output": {
"metrics": {
"FCP": {
"value": "123",
"previousValue": "123",
"source": "web-vitals"
},
"LCP": {
"value": "123",
"previousValue": "123",
"source": "web-vitals"
},
"CLS": {
"value": "123",
"previousValue": "123",
"source": "web-vitals"
},
"TBT": {
"value": "123",
"previousValue": "123",
"source": "web-vitals"
},
"virtualExperienceScore": {
"value": "123",
"previousValue": "123",
"source": "web-vitals"
}
}
},
"completedAt": "123",
"path": "string",
"blocking": "false",
"detailsUrl": "https://example.com",
"integrationId": "example_id",
"startedAt": "123",
"rerequestable": "false"
}
AuthorizationbearerToken

Default authentication mechanism

deploymentIdstringRequired
The deployment to update the check for.
checkIdstringRequired
The check being updated
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
namestringOptional
The name of the check being created
pathstringOptional
Path of the page that is being checked
statusobjectOptional
The current status of the check
conclusionobjectOptional
The result of the check being run
detailsUrlstringOptional
A URL a user may visit to see more information about the check
outputobjectOptional
The results of the check Run
externalIdstringOptional
An identifier that can be used as an external reference
200Success
idstringRequired
namestringRequired
createdAtnumberRequired
updatedAtnumberRequired
deploymentIdstringRequired
statusstringRequired
conclusionstringOptional
externalIdstringOptional
outputobjectOptional
completedAtnumberOptional
pathstringOptional
blockingbooleanRequired
detailsUrlstringOptional
integrationIdstringRequired
startedAtnumberOptional
rerequestablebooleanOptional
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid. The provided token is not from an OAuth2 Client
401The request is not authorized.
403You do not have permission to access this resource.
404Check was not found The deployment was not found
413The output provided is too large